#ifndef __QUAD_H__
#define __QUAD_H__

#include <gearlib.h>

void setup_quads();
void draw_quad(vec2 pos, vec2 size, vec4 color);
void draw_quad_trans(mat4 transform, vec4 color);
void batch_draw_quad(RenderBatch* batch, mat4 transform, vec4 color);
RenderBatch* create_quad_batch();

extern RenderBatch* quad_batch;

typedef struct {
    vec3 Position;
    vec4 Color;
} QuadVertex;

extern vec3 quad_vertex_positions[6];

#endif
